Create wallet
curl --request POST \
--url https://api.natural.com/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"displayName": "Payroll",
"description": "Dedicated wallet for payroll runs",
"tags": {
"department": "payroll"
}
}
}
}
'import requests
url = "https://api.natural.com/wallets"
payload = { "data": { "attributes": {
"displayName": "Payroll",
"description": "Dedicated wallet for payroll runs",
"tags": { "department": "payroll" }
} } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
attributes: {
displayName: 'Payroll',
description: 'Dedicated wallet for payroll runs',
tags: {department: 'payroll'}
}
}
})
};
fetch('https://api.natural.com/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'displayName' => 'Payroll',
'description' => 'Dedicated wallet for payroll runs',
'tags' => [
'department' => 'payroll'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/wallets"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Payroll\",\n \"description\": \"Dedicated wallet for payroll runs\",\n \"tags\": {\n \"department\": \"payroll\"\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/wallets")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Payroll\",\n \"description\": \"Dedicated wallet for payroll runs\",\n \"tags\": {\n \"department\": \"payroll\"\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Payroll\",\n \"description\": \"Dedicated wallet for payroll runs\",\n \"tags\": {\n \"department\": \"payroll\"\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "wallet",
"id": "wal_019cd1798d73e6f55d90188bb8ddbd9b",
"attributes": {
"status": "active",
"walletType": "standard",
"isDefault": false,
"createdAt": "2026-01-04T15:30:00.000Z",
"displayName": "Payroll",
"description": "Dedicated wallet for payroll runs",
"tags": {
"department": "payroll"
},
"balance": null,
"claims": {
"amount": 0,
"count": 0
},
"depositInstructions": {
"bankName": "Natural",
"accountNumber": null,
"routingNumber": null
}
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
}
}
}
}Wallets
Create wallet
Create a standard wallet for your party. An agent can create one only when it acts for a party through a delegation; otherwise the call returns 403. Returns the Wallet object.
POST
/
wallets
Create wallet
curl --request POST \
--url https://api.natural.com/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"displayName": "Payroll",
"description": "Dedicated wallet for payroll runs",
"tags": {
"department": "payroll"
}
}
}
}
'import requests
url = "https://api.natural.com/wallets"
payload = { "data": { "attributes": {
"displayName": "Payroll",
"description": "Dedicated wallet for payroll runs",
"tags": { "department": "payroll" }
} } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
attributes: {
displayName: 'Payroll',
description: 'Dedicated wallet for payroll runs',
tags: {department: 'payroll'}
}
}
})
};
fetch('https://api.natural.com/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'displayName' => 'Payroll',
'description' => 'Dedicated wallet for payroll runs',
'tags' => [
'department' => 'payroll'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/wallets"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Payroll\",\n \"description\": \"Dedicated wallet for payroll runs\",\n \"tags\": {\n \"department\": \"payroll\"\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/wallets")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Payroll\",\n \"description\": \"Dedicated wallet for payroll runs\",\n \"tags\": {\n \"department\": \"payroll\"\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"displayName\": \"Payroll\",\n \"description\": \"Dedicated wallet for payroll runs\",\n \"tags\": {\n \"department\": \"payroll\"\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "wallet",
"id": "wal_019cd1798d73e6f55d90188bb8ddbd9b",
"attributes": {
"status": "active",
"walletType": "standard",
"isDefault": false,
"createdAt": "2026-01-04T15:30:00.000Z",
"displayName": "Payroll",
"description": "Dedicated wallet for payroll runs",
"tags": {
"department": "payroll"
},
"balance": null,
"claims": {
"amount": 0,
"count": 0
},
"depositInstructions": {
"bankName": "Natural",
"accountNumber": null,
"routingNumber": null
}
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
}
}
}
}Authorizations
Headers
Was this page helpful?